<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Attributes and Hyperlinks</title>
</head>
<body>
	<h2 id="top">HTML Attributes</h2>

	<!-- Align attributes changes the alignment of the paragraph element -->
	<p align="center"><em>Modifiers of element behaviours</em></p>

	<h2>HTML Images</h2>
	<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>

	<!-- Absolute linking -->
	<!-- HTML tags wrapped inside an anchor tag will become a clickable element -->
	<a href="https://place-puppy.com/300x300" target="_blank">
		<img src="https://place-puppy.com/300x300">
	</a>
	<p>
		<code>
			&lt;imge src="https://place-puppy.com/300x300"&gt;
		</code>
			
	</p>
	<!-- Relative linking -->
		<img src="./images/poodle.jpg">

		<img src="./images/poodle.jpg">
	<p>
		<code>
			&lt;imge src="https://place-puppy.com/300x300"&gt;
		</code>
	</p>
	<p>Valid image extension are the following</p>
		<ol type="a" reversed>
			<li>png</li>	
			<li>jpg</li>	
			<li>gif</li>	
			<li>svg</li>	
			<li>webp</li>				
		</ol>

		<p>Take a look at W3schools attribute references <a href="https://www.w3schools.com/" target="_blank">here</a></p>

		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>

		<!-- <a> tag use to create a hyperlink elements that redirect to a different page -->

		<a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>

		<h4>Relative Link</h4>
		<p>Go to <a href="./link.html">link.html </a> page</p>

		<p>Go to <a href="./images/index.html">./images/index.html</a></p>

		<p>Go to <a href="#top">top</a></p>

</body>
</html>